# -*- text -*-
##
## radiusd.conf	-- FreeRADIUS server configuration file
##

prefix = /usr/local
exec_prefix = /usr/local
sysconfdir = /etc
localstatedir = /var
sbindir = ${exec_prefix}/sbin
logdir = /mnt/data/log/freeradius
raddbdir = /mnt/data/etc/freeradius
radacctdir = ${logdir}/radacct
name = freeradius
confdir = ${raddbdir}
modconfdir = ${confdir}/mods-config
certdir = ${confdir}/certs
cadir   = ${confdir}/certs
run_dir = ${localstatedir}/run/${name}
db_dir = ${raddbdir}
libdir = /mnt/data/lib/freeradius
pidfile = ${run_dir}/${name}.pid
correct_escapes = true
max_request_time = {{config.radiusd.max_request_time|safe}}
cleanup_delay = {{config.radiusd.cleanup_delay|safe}}
max_requests = {{config.radiusd.max_requests|safe}}
hostname_lookups = no
log {
	destination = files
	colourise = yes
	file = ${logdir}/radius.log
	syslog_facility = daemon
	stripped_names = no
	auth = no
	auth_badpass = no
	auth_goodpass = no
	msg_goodpass = ""
	msg_badpass = ""
	msg_denied = "You are already logged in - access denied"
}
checkrad = ${sbindir}/checkrad
security {
	user = freerad
	group = freerad
	allow_core_dumps = no
	max_attributes = {{config.radiusd.security.max_attributes|safe}}
	reject_delay = {{config.radiusd.security.reject_delay|safe}}
	status_server = {{config.radiusd.security.status_server|safe}}
}
proxy_requests  = no
$INCLUDE clients.conf
thread pool {
	start_servers = {{config.radiusd.thread_pool.start_servers|safe}}
	max_servers = {{config.radiusd.thread_pool.max_servers|safe}}
	min_spare_servers = {{config.radiusd.thread_pool.min_spare_servers|safe}}
	max_spare_servers = {{config.radiusd.thread_pool.max_spare_servers|safe}}
	max_queue_size = {{config.radiusd.thread_pool.max_queue_size|safe}}
	max_requests_per_server = {{config.radiusd.thread_pool.max_requests_per_server|safe}}
	auto_limit_acct = no
}
modules {
	$INCLUDE mods-enabled/
}
instantiate {
}
policy {
	$INCLUDE policy.d/
}
$INCLUDE sites-enabled/
